<template>
  <div class="region-page-dropdown" v-click-outside="clickOut">
    <div class="selected-region" :class="{active: isShowPopup}" @click="isShowPopup = !isShowPopup">{{currentRegionText}}</div>
    <div ref="popup" class="pop-up" v-if="isShowPopup">
        <div class="flex">
            <div class="col" v-for="region in nonEmptyRegions" :key="region.groupLabel">
                <h6 class="text-with-border">{{region.groupLabel}}</h6>
                <ul class="link-list">
                    <li class="page" v-for="page in region.pages" :key="page.ID">
                        <a :href="page.page" v-html="page.region.post_title"></a>
                    </li>
                </ul>
            </div>
            <div class="button-container" v-if="globalHref != null">
                <a :href="globalHref" class="text-xs btn btn-red icon-btn">Global Experience<i class="fas fa-chevron-right"></i></a>
            </div>
        </div>
    </div>
  </div>
</template>

<script>

export default {
  props: ["currentRegionText", "regionalPages", "globalHref"],
  data() {
      return {
          isShowPopup: false
      }
  },
  mounted() {},
  computed: {
      nonEmptyRegions : function() {
          var regions = [];
          for (var region in this.regionalPages) {
              var pages = this.regionalPages[region];
              if (pages.length > 0) {
                  regions.push({
                      groupLabel: region,
                      pages: pages
                  });
              }
          }
          return regions;
      }
  },
  methods: {
      clickOut: function() {
          if (this.isShowPopup) this.isShowPopup = false;
      }
  }
  
};
</script>